//
//  DemoUITests.swift
//  DemoUITests
//
//  Created by Kustiawanto Halim on 25/10/21.
//

import XCTest
import SwiftUI

class DemoUITests: XCTestCase {
    
    var app: XCUIApplication!

    override func setUpWithError() throws {
        try super.setUpWithError()
        continueAfterFailure = false
        app = XCUIApplication()
        app.launch()
    }

    override func tearDownWithError() throws {
        app = nil
        try super.tearDownWithError()
    }

    func testPlusButtonChangeLabel() throws {
        // Given
        let previousText = app.staticTexts.element(boundBy: 1).label
        
        // When
        app.buttons["+"].tap()
        
        // Then
        XCTAssertNotEqual(previousText, app.staticTexts.element(boundBy: 1).label)
    }

    func testMinusButtonChangeLabel() throws {
        // Given
        let previousText = app.staticTexts.element(boundBy: 1).label
        
        // When
        app.buttons["-"].tap()
        
        // Then
        XCTAssertNotEqual(previousText, app.staticTexts.element(boundBy: 1).label)
    }
}
